Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class CoordinatorConnectionModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `EventModel`, `RequestModel`, `TrafficModel`

    public abstract class CoordinatorConnectionModel
    extends BaseModel

See Also:
  Serialized Form

### Field Summary

Fields
`Long` `coordinatorId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`CoordinatorConnectionModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCoordinatorHostId()`
`void` `setCoordinatorHostId​(String hostId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### coordinatorId

    public Long coordinatorId

### Constructor Detail

#### CoordinatorConnectionModel

    public CoordinatorConnectionModel()

### Method Detail

#### setCoordinatorHostId

    public void setCoordinatorHostId​(String hostId)

#### getCoordinatorHostId

    public String getCoordinatorHostId()